/*******************************************************************************
 * Copyright (c) 2009 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.e4.languages.javascript.jsdi;

/**
 * Abstract representation of a function object with-respect-to Javascript debugging.
 * 
 * @since 0.9
 * @see ObjectReference
 * @see PropertiesReference
 * @see Value
 */
public interface FunctionReference extends ObjectReference {

	/**
	 * Returns the name of the function as it has been defined at the creation time of this value.
	 * 
	 * @return the name of the function
	 */
	public String functionName();
}
