/*******************************************************************************
 * Copyright (c) 2009 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.e4.languages.javascript.jsdi;

/**
 * Abstract representation of an object that can be mirrored in a {@link VirtualMachine}.
 * 
 * @see Variable
 * @see Value
 * @see ObjectReference
 * @see StringReference
 * @since 1.0
 */
public interface Mirror {

	/**
	 * Returns the default string representation of this mirror object
	 * 
	 * @return the string of this mirror object
	 */
	public String toString();

	/**
	 * Returns the handle to the {@link VirtualMachine} that this mirror object was spawned from
	 * 
	 * @return the {@link VirtualMachine} handle that this mirror was spawned from
	 */
	public VirtualMachine virtualMachine();
}
